--- global.php.orig	2013-09-06 12:46:28.872869457 -0400
+++ global.php	2013-09-06 12:43:11.516100242 -0400
@@ -4,7 +4,7 @@
  * Copyright 2010 MyBB Group, All Rights Reserved
  *
  * Website: http://mybb.com
- * License: http://mybb.com/about/license
+ * License: http://mybb.com/about/license (LGPLv3)
  *
  * $Id$
  */
@@ -234,7 +234,17 @@
 				{
 					continue;
 				}
-				$stylesheets .= "<link type=\"text/css\" rel=\"stylesheet\" href=\"{$mybb->settings['bburl']}/{$page_stylesheet}\" />\n";
+				# Sam Trenholme: The global "mybb" stylesheet
+				# is not suitable for mobile users
+				if(preg_match("/global/",$page_stylesheet)) {
+					$stylesheets .= "<link type=\"text/css\" rel=\"stylesheet\" media=\"only screen and (min-width: 641px)\" href=\"{$mybb->settings['bburl']}/{$page_stylesheet}\" />\n";
+					# Sam Trenholme: The above selector is 
+					# invisible to IE6-8 users, who are (in
+					# 2013) about 30% of web users
+					$stylesheets .= "<!--[if (gt IE 5)&(lt IE 9)]><link rel=\"stylesheet\" type=\"text/css\" href=\"{$mybb->settings['bburl']}/{$page_stylesheet}\" media=\"all\" /><![endif]-->\n";
+				} else {
+					$stylesheets .= "<link type=\"text/css\" rel=\"stylesheet\" href=\"{$mybb->settings['bburl']}/{$page_stylesheet}\" />\n";
+				}
 				$already_loaded[$page_stylesheet] = 1;
 			}
 		}
